---

phpunit:
  stage: test
  image: php:8.2-cli-alpine
  rules:
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
      when: on_success
      allow_failure: false
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      when: on_success
      allow_failure: false
  dependencies:
    - composer
    - phive
  cache: {}
  needs:
    - composer
    - phive
  interruptible: true
  before_script:
    - apk add --update --no-cache $PHPIZE_DEPS
    - pecl install pcov
    - docker-php-ext-enable pcov
  script:
    - |
      ./resources/tools/phpunit \
        --do-not-cache-result \
        --coverage-text \
        --coverage-cobertura cobertura.phpunit.xml \
        --colors=never \
        --log-junit ./junit.phpunit.xml
  coverage: '/^\s*Lines:\s*\d+\.\d+\%/'
  artifacts:
    expire_in: 1 day
    reports:
      junit:
        - ./junit.phpunit.xml
      coverage_report:
        coverage_format: cobertura
        path: ./cobertura.phpunit.xml
